IntelliJ 4 on OSX with latest preview jdk

Hi, I have not installed the latest OSX secret preview j2se1.4.2 update. Just wanted to ask if intellij will work with it before installing, as this can not be undone. (I know intellij tends to be really picky with jvm versions)

2 comments

I tried IDEA 4.0.3 with the version of OSX java listed below, and now the editor won't work. The tab key works, but I am unable to insert characters. I had been using the VI simulator, and even after deleting that character input is still broken!

czei% java -version
java version "1.4.2_04"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.4.2_04-135)
Java HotSpot(TM) Client VM (build 1.4.2-36, mixed mode)

Note that this is a preview release of Java, so we can only hope the problem is fixed before this version of Java is released.

0

You have installed the last preview vesion of Java, JDK 1.4.2 Update preview 3.
This is a known issue of that version, and you can read 'Read Me' file of that version of JDK.
You have to use IDEA 4.5.

0

Please sign in to leave a comment.